note 72295 deleted from ref.datetime by nlopess
| From: | nlopess@php.net | Date: | Thu, 11 Jan 2007 22:38:23 +0000 |
| Subject: | note 72295 deleted from ref.datetime by nlopess | ||
| References: | 1 | Groups: | php.notes |
| Request: | Send a blank email to php-notes+get-121569@lists.php.net to get a copy of this message | ||
Note Submitter: php at NOSPAM girsbrain dot org
Reason: in docs
----
PHP 5.2.0 introduces a new class: DateTime.
I haven't figured out the method arguments yet, but I'm sure they're simple enough
for anyone to figure out.
<?php
class DateTime
{
public const ATOM = 'Y-m-d\TH:i:sP';
public const COOKIE = 'l, d-M-y H:i:s T';
public const ISO8601 = 'Y-m-d\TH:i:sO';
public const RFC822 = 'D, d M y H:i:s O';
public const RFC850 = 'l, d-M-y H:i:s T';
public const RFC1036 = 'D, d M y H:i:s O';
public const RFC1123 = 'D, d M Y H:i:s O';
public const RFC2822 = 'D, d M Y H:i:s O';
public const RFC3339 = 'Y-m-d\TH:i:sP';
public const RSS = 'D, d M Y H:i:s O';
public const W3C = 'Y-m-d\TH:i:sP';
public function __construct();
public function format();
public function modify();
public function getTimezone();
public function setTimezone();
public function getOffset();
public function setTime();
public function setDate();
public function setISODate();
}
?>